local seaura = AceLibrary("SpecialEvents-Aura-2.0")
local semount = AceLibrary("SpecialEvents-Mount-2.0")

Automaton_Dismount = Automaton:NewModule("Dismount", "AceEvent-2.0", "AceDebug-2.0")
Automaton.options.args.dismount = {
	type = 'toggle',
	name = 'Dismount',
	desc = 'Automatically dismount',
	get = function() return Automaton:IsModuleActive("Dismount") end,
	set = function(v) Automaton:ToggleModuleActive("Dismount", v) end,
}

function Automaton_Dismount:OnEnable()
	self:RegisterEvent("UI_ERROR_MESSAGE")
end

function Automaton_Dismount:UI_ERROR_MESSAGE(msg)
	if UnitOnTaxi("player") then
		return
	end

	if msg == ERR_ATTACK_MOUNTED or msg == SPELL_FAILED_NOT_MOUNTED then
		local mount = semount:PlayerMounted()
		local buff = seaura:UnitHasBuff("player", mount)
		CancelPlayerBuff(buff)
	end
end