Automaton_Queue = Automaton:NewModule("Queue", "AceEvent-2.0", "AceConsole-2.0", "AceDebug-2.0")
Automaton.options.args.queue = {
	type = 'group',
	desc = 'Options for accepting Battleground queues.',
	args = {
		toggle = {
			type = 'toggle',
			name = 'AutoQueue',
			desc = 'Accepts Battleground queues',
			get = function() return Automaton:IsModuleActive("Queue") end,
			set = function(v) Automaton:ToggleModuleActive("Queue", v) end,
		},
		delay = {
			type = 'toggle',
			name = 'AutoQueueDelay',
			desc = 'With this option enabled, automatic battleground entry is delayed for 100 seconds.',
			get = function() return Automaton.db.profile.autoQueueDelay end,
			set = function(v) Automaton.db.profile.autoQueueDelay = v end,
		}
	}
}

function Automaton_Queue:OnEnable()
	self:RegisterEvent("UPDATE_BATTLEFIELD_STATUS")
end

function Automaton_Queue:UPDATE_BATTLEFIELD_STATUS()
	for i=1, MAX_BATTLEFIELD_QUEUES do
		local status, mapName, instanceID = GetBattlefieldStatus(i)
		if status == "confirm" then
			if Automaton.db.profile.autoQueueDelay and not self:IsEventScheduled("Automaton_autoQueue" .. i) then
				self:Print("Joining "..mapName.." in 1:40...")
				self:ScheduleEvent("Automaton_autoQueue" .. i, AcceptBattlefieldPort, 100, i, 1)
			elseif not self:IsEventScheduled("Automaton_autoQueue" .. i) then
				self:Print("Joining "..mapName.."...")
				AcceptBattlefieldPort(i,1)
			end
		end
	end
end
