Automaton_Rez = Automaton:NewModule("Rez", "AceEvent-2.0", "AceDebug-2.0")
Automaton.options.args.rez = {
	type = 'group',
	desc = 'Options for accepting resurrection requests.',
	args = {
		toggle = {
			type = 'toggle',
			name = 'AutoRez',
			desc = 'Accept resurrection requests. If the persist option is Off, AutoRez will disable itself after the first resurrection.',
			get = function() return Automaton:IsModuleActive("Rez") end,
			set = function(v) Automaton:ToggleModuleActive("Rez", v) end,
		},
		persist = {
			type = 'toggle',
			name = 'AutoRezPersist',
			desc = 'With this option enabled, AutoRez will persist for every resurrection request.',
			get = function() return Automaton.db.profile.autoRezPersist end,
			set = function(v) Automaton.db.profile.autoRezPersist = v end,
		}
	}
}
function Automaton_Rez:OnEnable()
	self:RegisterEvent("RESURRECT_REQUEST")
end

function Automaton_Rez:RESURRECT_REQUEST()
	AcceptResurrect()
	StaticPopup_Hide("RESURRECT_NO_SICKNESS")
	if not Automaton.db.profile.autoRezPersist then
		Automaton:ToggleModuleActive("Rez",false)
	end
end